# Class Airflow

#### Hierarchy

- Group
  - Airflow

- Defined in lib/vfx/airflow/airflow.ts:8

##### Index

### Constructors

constructor

### Properties

needsRender

### Accessors

color
expand
flowColor
speed

### Methods

setTime

## Constructors

### constructor

- new Airflow(): Airflow

  #### Returns Airflow

  Overrides THREE.Group.constructor

  - Defined in lib/vfx/airflow/airflow.ts:15

## Properties

### needsRender

needsRender: boolean

- Defined in lib/vfx/airflow/airflow.ts:10

## Accessors

### color

- get color(): Color

  #### Returns Color

  - Defined in lib/vfx/airflow/airflow.ts:107
- set color(value: Color): void

  #### Parameters

  - value: Color

  #### Returns void

  - Defined in lib/vfx/airflow/airflow.ts:111

### expand

- get expand(): number

  #### Returns number

  - Defined in lib/vfx/airflow/airflow.ts:88
- set expand(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/vfx/airflow/airflow.ts:92

### flowColor

- get flowColor(): Color

  #### Returns Color

  - Defined in lib/vfx/airflow/airflow.ts:116
- set flowColor(value: Color): void

  #### Parameters

  - value: Color

  #### Returns void

  - Defined in lib/vfx/airflow/airflow.ts:120

### speed

- get speed(): number

  #### Returns number

  - Defined in lib/vfx/airflow/airflow.ts:98
- set speed(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/vfx/airflow/airflow.ts:102

## Methods

### setTime

- setTime(time: number): void

  #### Parameters

  - time: number

  #### Returns void

  - Defined in lib/vfx/airflow/airflow.ts:78